Index: palm/trunk/SOURCE/netcdf_data_input_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 4766)
+++ palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 4767)
@@ -593,22 +597,22 @@
        CHARACTER(LEN=200) ::  units = 'm'                                !< unit of crs
 
-       REAL(wp) ::  false_easting = 500000.0_wp                  !< false easting
-       REAL(wp) ::  false_northing = 0.0_wp                      !< false northing
-       REAL(wp) ::  inverse_flattening = 298.257223563_wp        !< 1/f (default for WGS84)
-       REAL(wp) ::  latitude_of_projection_origin = 0.0_wp       !< latitude of projection origin
-       REAL(wp) ::  longitude_of_central_meridian = 3.0_wp       !< longitude of central meridian of UTM zone (default: zone 31)
-       REAL(wp) ::  longitude_of_prime_meridian = 0.0_wp         !< longitude of prime meridian
-       REAL(wp) ::  scale_factor_at_central_meridian = 0.9996_wp !< scale factor of UTM coordinates
-       REAL(wp) ::  semi_major_axis = 6378137.0_wp               !< length of semi major axis (default for WGS84)
+       REAL(wp) ::  false_easting = 500000.0_wp                   !< false easting
+       REAL(wp) ::  false_northing = 0.0_wp                       !< false northing
+       REAL(wp) ::  inverse_flattening = 298.257223563_wp         !< 1/f (default for WGS84)
+       REAL(wp) ::  latitude_of_projection_origin = 0.0_wp        !< latitude of projection origin
+       REAL(wp) ::  longitude_of_central_meridian = 3.0_wp        !< longitude of central meridian of UTM zone (default: zone 31)
+       REAL(wp) ::  longitude_of_prime_meridian = 0.0_wp          !< longitude of prime meridian
+       REAL(wp) ::  scale_factor_at_central_meridian = 0.9996_wp  !< scale factor of UTM coordinates
+       REAL(wp) ::  semi_major_axis = 6378137.0_wp                !< length of semi major axis (default for WGS84)
     END TYPE crs_type
 
 !
 !-- Define variables
-    TYPE(crs_type)   ::  coord_ref_sys  !< coordinate reference system
-
-    TYPE(dims_xy)    ::  dim_static     !< data structure for x, y-dimension in static input file 
-
-    TYPE(init_type) ::  init_3d    !< data structure for the initialization of the 3D flow and soil fields
-    TYPE(init_type) ::  init_model !< data structure for the initialization of the model
+    TYPE(crs_type)  ::  coord_ref_sys  !< coordinate reference system
+
+    TYPE(dims_xy)   ::  dim_static     !< data structure for x, y-dimension in static input file
+
+    TYPE(init_type) ::  init_3d     !< data structure for the initialization of the 3D flow and soil fields
+    TYPE(init_type) ::  init_model  !< data structure for the initialization of the model
 
 !
@@ -657,6 +661,7 @@
     TYPE(pars_surf)  ::  building_surface_pars_f  !< input variable for building surface parameters
 
-    TYPE(chem_emis_att_type)                             ::  chem_emis_att    !< Input Information of Chemistry Emission Data from netcdf  
-    TYPE(chem_emis_val_type), ALLOCATABLE, DIMENSION(:)  ::  chem_emis        !< Input Chemistry Emission Data from netcdf  
+    TYPE(chem_emis_att_type)                             ::  chem_emis_att    !< Input Information of Chemistry Emission Data from
+                                                                              !< netcdf
+    TYPE(chem_emis_val_type), ALLOCATABLE, DIMENSION(:)  ::  chem_emis        !< Input Chemistry Emission Data from netcdf
 
     CHARACTER(LEN=3)  ::  char_lod  = 'lod'         !< name of level-of-detail attribute in NetCDF file
@@ -670,9 +675,10 @@
     CHARACTER(LEN=100) ::  input_file_vm      = 'PIDS_VM'      !< Name of file which comprises virtual measurement data
     CHARACTER(LEN=100) ::  input_file_wtm     = 'PIDS_WTM'     !< Name of file which comprises wind turbine model input data
-        
-    CHARACTER(LEN=25), ALLOCATABLE, DIMENSION(:) ::  string_values  !< output of string variables read from netcdf input files
+
+    CHARACTER(LEN=25), DIMENSION(:), ALLOCATABLE ::  string_values  !< output of string variables read from netcdf input files
     CHARACTER(LEN=50), DIMENSION(:), ALLOCATABLE ::  vars_pids      !< variable in input file
 
-    INTEGER(iwp)                                     ::  id_emis        !< NetCDF id of input file for chemistry emissions: TBD: It has to be removed
+    INTEGER(iwp)                                     ::  id_emis        !< NetCDF id of input file for chemistry emissions: TBD: It
+                                                                        !< has to be removed
 
     INTEGER(iwp) ::  nc_stat         !< return value of nf90 function call
@@ -680,8 +686,12 @@
     INTEGER(iwp) ::  pids_id         !< file id
 
-    LOGICAL ::  input_pids_static  = .FALSE.   !< Flag indicating whether Palm-input-data-standard file containing static information exists
-    LOGICAL ::  input_pids_dynamic = .FALSE.   !< Flag indicating whether Palm-input-data-standard file containing dynamic information exists
-    LOGICAL ::  input_pids_chem    = .FALSE.   !< Flag indicating whether Palm-input-data-standard file containing chemistry information exists
-    LOGICAL ::  input_pids_uvem    = .FALSE.   !< Flag indicating whether uv-expoure-model input file containing static information exists
+    LOGICAL ::  input_pids_static  = .FALSE.   !< Flag indicating whether Palm-input-data-standard file containing static
+                                               !< information exists
+    LOGICAL ::  input_pids_dynamic = .FALSE.   !< Flag indicating whether Palm-input-data-standard file containing dynamic
+                                               !< information exists
+    LOGICAL ::  input_pids_chem    = .FALSE.   !< Flag indicating whether Palm-input-data-standard file containing chemistry
+                                               !< information exists
+    LOGICAL ::  input_pids_uvem    = .FALSE.   !< Flag indicating whether uv-expoure-model input file containing static information
+                                               !< exists
     LOGICAL ::  input_pids_vm      = .FALSE.   !< Flag indicating whether input file for virtual measurements exist
     LOGICAL ::  input_pids_wtm     = .FALSE.   !< Flag indicating whether input file for wind turbine model exists
@@ -729,5 +739,5 @@
        MODULE PROCEDURE netcdf_data_input_init_3d
     END INTERFACE netcdf_data_input_init_3d
-    
+
     INTERFACE netcdf_data_input_surface_data
        MODULE PROCEDURE netcdf_data_input_surface_data
